Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229378 - server settings aren't saved when using "Apply changes" warning dialog
Summary: server settings aren't saved when using "Apply changes" warning dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-02-20 18:44 UTC by Jan Hutař
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.7.52.1-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 16:51:20 UTC


Attachments (Terms of Use)

Description Jan Hutař 2007-02-20 18:44:36 UTC
Description of problem:
Changed server settings aren't saved when using "Apply changes" warning dialog.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.52-1.fc7
cups-1.2.8-1.fc7
fedora-release-6.90-3


How reproducible:
always


Steps to Reproduce:
1. in "Server settings" dialog change some setting (e.g. turn on "Allow users 
to chancel...")
2. don't click "Apply" and click some remote printer from the list
3. "Apply changes" dialog appears
4. click "Apply"

  
Actual results:
change is not saved, I'm sill in "Server settings" dialog


Expected results:
change is saved, I'm in printer config dialog (I clicked on the printer)

Comment 1 Tim Waugh 2007-02-21 13:06:45 UTC
Fixed in CVS.

Comment 2 Bill Nottingham 2007-03-02 17:36:01 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 3 Peter Gordon 2007-04-09 01:36:08 UTC
I'm still getting this issue, and I noticed the following traceback when I run
it from a terminal window:

$ system-config-printer
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1099,
in on_btnApply_clicked
    err = self.apply()
  File "/usr/share/system-config-printer/system-config-printer.py", line 1110,
in apply
    return self.save_serversettings()
  File "/usr/share/system-config-printer/system-config-printer.py", line 3109,
in save_serversettings
    self.cups.adminSetServerSettings(setting_dict)
RuntimeError: Failed to set settings


The application continues to run, but nothing is actually changed.

Thanks.

Comment 4 Fedora Update System 2007-04-10 16:53:13 UTC
Fixed in update: system-config-printer-0.7.52.1-2.fc6.

Comment 5 Peter Gordon 2007-04-11 05:25:05 UTC
(In reply to comment #4)
> Fixed in update: system-config-printer-0.7.52.1-2.fc6.

Will a similar update hit Rawhide/Development soon? 

Thanks.

Comment 6 Tim Waugh 2007-04-11 11:20:36 UTC
Peter, this fix went into system-config-printer-0.7.53-1.fc7 so if you're still
seeing the problem it isn't completely fixed.  Are you sure you're clicking on a
printer (and getting an apply dialog) rather than just clicking the 'Apply'
button on the settings screen?

If you're clicking the Apply button on the settings screen it's a different
problem, and I would greatly appreciate a separate bug report for it..

Comment 7 Peter Gordon 2007-04-12 03:50:30 UTC
Tim,

Thanks for your further inquiry. I looked into it a bit more and found out that
I couldn't even print at all! I double-checked my config files and - wouldn't
you know it - my earlier fiddling actually *was* saved...so I had accidentally
denied access to every user...How odd. Anyway, I retweaked the files to allow
access again and it seems to work as it should (from my brief testing).

Thanks for the fix!


Note You need to log in before you can comment on or make changes to this bug.